# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header:$

DESCRIPTION="FireWall Graphic Oriented Logging Database"
SRC_URI="http://www.rotoni.com/FwGold/${P}.tgz"
HOMEPAGE="http://www.rotoni.com/FwGold"

S=${WORKDIR}/${P}
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="x86 sparc"
IUSE="perl"

DEPEND="perl? ( dev-lang/perl )"
RDEPEND="dev-perl/File-Tail
	net-analyzer/rrdtool"


src_unpack

src_install() {
	for dir in bin etc html; do
		dodir /opt/fwgold/${dir}
		cp -a ${S}/${dir}/* ${D}/opt/fwgold/${dir}
	done

	for dir in db offline; do
		dodir /opt/fwgold/${dir}
	done

	dodir /usr/share/doc/fwgold
	for file in CHANGES FEATURES LICENSE README \
		COPYING INSTALL NETFILTER WIN32; do
		cp ${S}/${file} ${D}/usr/share/doc/fwgold
	done
 
	dodir /etc/init.d
	cp ${S}/bin/fwgold-startup.gentoo ${D}/etc/init.d/fwgold
}

pkg_postinst () {
	einfo
	einfo "You now need to start the fwgold server daemon and/or setup crontab to periodically run the fwgold client"
	einfo
}

pkg_postrm() {
	einfo
	einfo "You may now have to manually remove the client contab entry"
	einfo
}
